    <?php
        /**
        *
        * copyright (c) 2013-2019 Heliac Technologies
        * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
        *
        * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
        */

        if(isset($categoria)) {
            $aspetto = $categoria["tipoVisualizzazione"];
        }
        else {
            $aspetto = "compatto";
        }
        
        $urlAttuale        = explode("/", $_SERVER["PHP_SELF"]);
        $paginaWebCorrente = $urlAttuale[count($urlAttuale)-1];
    ?>
    <section class="blog articoli-dal-blog siOverflow">
    	 <div class="container">
             
            <div class="row">
                <div class="<?php echo($aspettoSito['colonnaCentrale']); ?>">
                    <?php 
                        echo "$titoloPagina"; 
                    
                        while($articolo = $risArticoli->fetch_assoc()) {
                            $numeroCommenti = $geecomDb->contaRigheTabella("geecB_commenti",array("idContenuto"=>$articolo["id"]));
                            $linkArticolo = GeneratoreUrl::creaUrlArticolo($articolo,$impostazioniAspetto["ottimizzazioneUrl"],$impostazioniAspetto["urlSito"]);
                            
                            $categoriaArticolo = $geecomDb->leggiSingolaRiga("geec_categorie",$articolo["categoria"]);
                            $linkCategoria = GeneratoreUrl::creaUrlCategoria($categoriaArticolo, $impostazioniAspetto["ottimizzazioneUrl"], $impostazioniAspetto["urlSito"]);
                            StampaContenuti::stampaRisultatiRicerca($articolo, $linkArticolo,$categoriaArticolo["nome"], $linkCategoria, $numeroCommenti);
                        }

                        // paginazione
                        if(isset($_GET["pag"])) {
                            $paginaCorrente = $_GET["pag"];
                        }
                        else {
                            $paginaCorrente = 1;
                        }

                        if($paginaWebCorrente=="categoria.php") {
                            $parametriAggiuntivi = "&alias={$categoria["alias"]}";
                        }
                        else if($paginaWebCorrente=="cerca.php") {
                            $parametriAggiuntivi = "&chiaveRicerca={$_GET["chiaveRicerca"]}&tipoRicerca={$_GET["tipoRicerca"]}";
                        }
                        else {
                            $parametriAggiuntivi = "";
                        }
                        if($numeroArticoli>$risultatiPerPagina) {
                            echo"<nav aria-label=\"Paginazione\" class=\"my-2\">
                                    <ul class=\"pagination justify-content-center\">";
                            // due frecce, per andare alla prima pagina. Se si trova alla prima pagina non viene mostrate
                            if($paginaCorrente==1) {

                            }
                            else {
                                echo"<li class=\"page-item\"><a class=\"page-link\" href=\"$paginaWebCorrente?pag=1$$parametriAggiuntivi\"><i class=\"fas fa-angle-double-left fa-xs\"></i></a></li>";
                            }

                            // una freccia, per andare alla pagina precedente. Se si trova alla prima pagina non viene mostrate
                            if($paginaCorrente==1) {

                            }
                            else {
                                $prec = $paginaCorrente-1;
                                echo"<li class=\"page-item\"><a class=\"page-link\" href=\"$paginaWebCorrente?pag=$prec$parametriAggiuntivi\"><i class=\"fas fa-angle-left fa-xs\"></i></a></li>";
                            }

                            $numeroPagine = ceil($numeroArticoli/$risultatiPerPagina);
                            if($numeroPagine > 5) {
                                $limiteInferiore = $paginaCorrente - 2;
                                if($limiteInferiore < 1) {
                                    $limiteInferiore = 1;
                                }
                                if($paginaCorrente == 1) {
                                    $limiteSuperiore=5;
                                }
                                else {
                                    $limiteSuperiore = $paginaCorrente + 2;
                                }
                                if($limiteSuperiore > $numeroPagine) {
                                    $limiteSuperiore = $numeroPagine;
                                }
                                if($limiteInferiore > 1) {
                                    echo"<li><a class=\"page-link\" >...</a></li>";
                                }
                                for($i=$limiteInferiore;$i<$limiteSuperiore+1;$i++) {
                                    if($i==$paginaCorrente) {
                                        echo"<li class=\"page-item active\"><a class=\"page-link\" href=\"\">$i</a></li>";				
                                    }
                                    else {
                                        echo"<li class=\"page-item\"><a class=\"page-link\" href=\"$paginaWebCorrente?pag=$i$parametriAggiuntivi\">$i</a></li>";
                                    }
                                }
                                if($limiteSuperiore < $numeroPagine) {
                                    echo"<li class=\"page-item ><a class=\"page-link\" >...</a></li>";
                                }
                            }
                            else {	
                                for($i=1;$i<$numeroPagine+1;$i++) {
                                    if($i==$paginaCorrente) {
                                        echo"<li class=\"page-item active\"><a class=\"page-link\" href=\"\">$i</a></li>";				
                                    }
                                    else {
                                        echo"<li class=\"page-item\"> <a class=\"page-link\" href=\"$paginaWebCorrente?pag=$i$parametriAggiuntivi\">$i</a></li>";
                                    }
                                }
                            }

                            // una freccia, serve per andare alla pagina successiva. Se è già all'ultima pagina non viene mostrata
                            if($paginaCorrente==$numeroPagine) {

                            }
                            else {
                                $succ = $paginaCorrente+1;
                                echo"<li class=\"page-item\"><a class=\"page-link\" href=\"$paginaWebCorrente?pag=$succ$parametriAggiuntivi\"><i class=\"fas fa-angle-right fa-xs\"></i></a></li>";
                            }

                            // due freccie, servono per andare alla pagina successiva. Se è già all'ultima pagina non viene mostrata
                            if($paginaCorrente==$numeroPagine) {

                            }
                            else {
                                echo"<li class=\"page-item\"><a class=\"page-link\" href=\"$paginaWebCorrente?pag=$numeroPagine$parametriAggiuntivi\"><i class=\"fas fa-angle-double-right fa-xs\"></i></a></li>";
                            }
                            echo"</ul>
                            </nav>";
                        }
                    ?>
                </div><!--/#colonna principale-->
		        
                <?php
                    if($impostazioniAspetto["attivaColonnaDestra"]=="si") {
                        //l'array associativo aspetto sito è definito nel file stile.php del tema
                        VisualizzatorePannelloLaterale::stampa($geecomDb, $impostazioniAspetto, $datiBlog,"destra", $aspettoSito['colonnaSinistra']);
                    }
                ?>
            </div>
         </div>
    </section>